import { Moment } from 'moment';
import DatePicker from '../date-picker/DatePicker';
import { ViewMode } from '../date-picker/enum';
export default class DateTimePicker extends DatePicker {
    static displayName: string;
    static defaultProps: {
        mode: ViewMode;
        suffixCls: string;
        useInvalidDate: boolean;
        clearButton: boolean;
        popupPlacement: string;
        triggerShowDelay: number;
        triggerHiddenDelay: number;
        viewMode: import("../trigger-field/enum").TriggerViewMode;
        multiple: boolean;
        border: boolean;
        valueChangeAction: import("../text-field/enum").ValueChangeAction;
        waitType: import("../core/enum").WaitType;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    getWrapperClassNames(): string;
    getLimitWithType(limit: Moment, _minOrMax: 'min' | 'max'): Moment;
}
